// https://www.w3.org/TR/css-values-4/
const UNITS = [
  // font relative lengths
  'em',
  'ex',
  'cap',
  'ch',
  'ic',
  'rem',
  'lh',
  'rlh',

  // viewport percentage lengths
  'vw',
  'vh',
  'vi',
  'vb',
  'vmin',
  'vmax',

  // absolute lengths
  'cm',
  'mm',
  'Q',
  'in',
  'pc',
  'pt',
  'px',

  // angle units
  'deg',
  'grad',
  'rad',
  'turn',

  // duration units
  's',
  'ms',

  // frequency units
  'Hz',
  'kHz',

  // resolution units
  'dpi',
  'dpcm',
  'dppx',
  'x',

  // https://www.w3.org/TR/css-grid-1/#fr-unit
  'fr',

  // percentages
  '%'
]

const UNITS_RE = new RegExp(`(${UNITS.join('|')});?(\\s|\\n|$)`)

module.exports = {
  UNITS,
  UNITS_RE
}
